Bug 89182 - Installer crashes on upgrade from 7.1 - 7.2
Installer crashes on upgrade from 7.1 - 7.2
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-04-19 09:14 EDT by alan bray
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-12 16:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description alan bray 2003-04-19 09:14:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
Traceback: (innermost last):
   File "/usr/bin/anaconda", line 620, in ?
     intf.run(id, dispatch, configFileData)
   File "/usr/lib/anaconda/text.py", line 408, in run
   File "/usr/lib/anaconda/dispatch.py",
  anaconda crashes when attempting to upgrade to RH7.2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. upgrade existing system

Expected Results:  should have upgraded the installation

Additional info:

the KeyError is ttfm I have no idea what this is.
Comment 1 alan bray 2003-04-20 06:29:56 EDT
Traceback (innermost last):
File "/usr/bin/anaconda", line 620 in ?
     intf.run(id, dispatch, configFileData)
File "/usr/lib/anaconda/text.py", line 408, in run
File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
File "/usr/lib/anaconda/dispatch.py," line 208, in moveStep
     rc = apply(func, self.bindArgs(args))
File "/usr/lib/anaconda/packages.py", line 106, in readPackages
     id.comps = method.readComps(id.hdlist)
File "/usr/lib/anaconda/image.py", line 17, in readComps
     return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
File "/usr/lib/anaconda/comps.py", in __init__
     self.readCompsFile(file, self.packages)
File "/usr/lib/anaconda/comp.py", line 549, in readCompsFile
     list = self.expressions.get(packages[l])
File "/usr/lib/anaconda/comps.py", line 152, in __getitem__
     return self.packages[item]
KeyError: ttfm
Comment 2 Jeremy Katz 2003-04-22 12:12:46 EDT
Is this a modified Red Hat Linux 7.2 in any way?  I don't remember a ttfm
package in Red Hat Linux 7.2.
Comment 3 alan bray 2003-04-23 13:57:10 EDT
From official RedHat 7.2 cdrom-set.
ttfm could be from some 'from source' compiled program. Have been using since 
RH 5.2
I do have 'extras' (not RedHat) such as Coin and Karma but none of them seem to 
have ttfm (is this TrueTypeFontManager?).
Could I upgrade using just RPM? 
Comment 4 Michael Fulbright 2003-05-12 16:48:30 EDT
I would recommend trying a more recent release than 7.2, we've made alot of
improvements since them.

Note You need to log in before you can comment on or make changes to this bug.